Skip to main content
POST
Begin new customer onboarding application

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Body

application/json
entries
object[]
required

A collection of responses for a set of defined relevant questions.

applicationType
enum<string>

Type of application: RIA_PC_INDIVIDUAL for an individual program customer, RIA_PC_INSTITUTION for an institutional program customer.

Available options:
RIA_PC_INSTITUTION,
RIA_PC_INDIVIDUAL
Example:

"RIA_PC_INSTITUTION"

applicationVersion
integer<int32>
default:0

Anchorage Digital version of the application. By default, this value is 0.

externalId
string

External identifier for the customer onboarding application. This value has to be unique for each customer application.

submit
boolean

Optional parameter to try to submit the application if there are no validation errors. This action is irreversible: you cannot update the application values afterwards. Set it to avoid a separate call to POST /v2/onboarding/customers/{customerId}/submit.

Response

Customer ID and information of the successfully created customer onboarding application

data
CreateKYCApplicationResponseData · object
required